<table id="staff-table">
  <tr class="dark_row">
    <!--<th style="background: inherit; border: none;"></th>-->
    <th class="emptycorner"></th>
    <th>Name</th>
    <th class="hide-narrow">Contact</th>
    <th>Locale</th>
    <th>
      <span class="hide-narrow">{% include helplink.html url="/about/#drop-ins" %}</span>
      Drop-in Hours
      <small>
        (<a href="{{ site.staffcal }}">gcal</a>,
        <a href="{{ site.staffical }}">.ics</a>)
      </small>
    </th>
  </tr>

  {% assign darkrow = 0 %}
  {% for instructor in site.instructors %}
  <tr id="{{instructor.first}}{{instructor.last}}"{% cycle '', ' class="dark_row"' %}>
    <th><a href="{{site.baseurl}}/about/#communication">Instructor</a></th>
    <td>
      <a href="{{instructor.url}}">{{instructor.first}} {{instructor.last}}</a>
    </td>
    <td class="hide-narrow">
      <a href="{{instructor.url}}">{{instructor.email}}</a>
    </td>
    <td>
      {{instructor.office}}
    </td>
    <td>
      {% if instructor.hours %}
      {{ instructor.hours }}
      {% endif %}
    </td>
  </tr>
  {% endfor %}
  {% if site.labinstructor %}
  <tr id="{{site.labinstructor.first}}{{site.labinstructor.last}}"{% cycle '', ' class="dark_row"' %}>
    <th><a href="{{site.baseurl}}/about/#communication">Lab Instructor</a></th>
    <td>
      <a href="{{site.labinstructor.url}}">{{site.labinstructor.first}} {{site.labinstructor.last}}</a>
    </td>
    <td class="hide-narrow">
      <a href="{{site.labinstructor.url}}">{{site.labinstructor.email}}</a>
    </td>
    <td>
      {{site.labinstructor.office}}
    </td>
    <td>
      {% if site.labinstructor.hours %}
      {{site.labinstructor.hours}}
      {% endif %}
    </td>
  </tr>
  {% endif %}
  {% if site.si %}
  <tr id="si"{% cycle '', ' class="dark_row"' %}>
    <th><a href="{{site.baseurl}}/about/#communication">SI Leader</a></th>
    <td>
      {{site.si.name}}
    </td>
    <td class="hide-narrow">
      <a href="{{ site.googlegroup }}">class email</a>
    </td>
    <td>{{site.si.office}}</td>
    <td>
      SI sessions:
      {{ site.si.sessions | join: ", " }}<br />
      Drop-in hours
      {% if site.si.hours %}
      {{ site.si.hours }}
      {% else %}
      TBD
      {% endif %}
    </td>
  </tr>
  {% endif %}
  {% if site.tutors %}
  <tr id="tutors"{% cycle '', ' class="dark_row"' %}>
    <th><a href="{{site.baseurl}}/about/#communication">Tutors</a></th>
    <td>
      {{ site.tutors.names }}
    </td>
    <td class="hide-narrow">
      <a href="{{ site.googlegroup }}">full class email</a>
    </td>
    <td>{{ site.tutors.office }}</td>
    <td>
      {% if site.tutors.hours %}
      {{ site.tutors.hours }}
      {% else %}
      TBD
      {% endif %}
    </td>
  </tr>
  {% endif %}
  <tr{% cycle ' class="hide-narrow"', ' class="dark_row hide-narrow"' %}>
    <th>
      <a href="{{site.baseurl}}/about/#communication">Classmates</a>
    </th>
    <td>
      <a href="{{ site.baseurl }}">{{ site.course }} {{ site.semester }}</a>
    </td>
    <td class="hide-narrow">
      <a href="{{ site.googlegroup }}">full class email</a>
    </td>
    <td>
      <span class="deletion">{{site.labspace.room}}, around campus</span> <span class="addition">online</span>
    </td>
    <td>
      by appointment
    </td>
  </tr>
</table>
